server:
  port: 8888
  context-path: "/api/data-center/v1"

spring:
  main:
    banner-mode: "off"
  application:
    name: "Data Center"
  datasource:
    name: "mysql"
    url: jdbc:mysql://10.96.33.33:3306/mysql?autoReconnect=true&useUnicode=true&characterEncoding=utf-8
    username: root
    password: 123456
    connection-timeout: 10000
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: com.mysql.cj.jdbc.Driver
    filters: stat
    maxActive: 20
    initialSize: 1
    maxWait: 60000
    minIdle: 1
    timeBetweenEvictionRunsMillis: 60000
    minEvictableIdleTimeMillis: 300000
    validationQuery: select 'x'
    testWhileIdle: true
    testOnBorrow: false
    testOnReturn: false
    poolPreparedStatements: true
    maxOpenPreparedStatements: 20
    schema: classpath:database.sql

logging:
  config: classpath:logback-spring.xml

mybatis:
  mapper-locations: classpath:org/fool/glorious/db/mapper/*.xml  #注意：一定要对应mapper映射xml文件的所在路径
  type-aliases-package: org.fool.glorious.db.entity  # 注意：对应实体类的路径